# 2D Magma Reservoir Using Poroelasticity

The files are in the directory `examples/magma-2d`.
The files and directories for this set of examples includes:

:`README.md`: README file containing a brief description of the various examples.
:`*.cfg`: PyLith parameter files.
:`*.jou`: Files used to construct the finite-element mesh using Cubit.
:`*.exo`: Exodus II finite-element mesh files generated by Cubit.
:`*.spatialdb`: Spatial database filesFiles associated with the spatial databases.
:`viz`: Directory containing ParaView Python scripts and other files for visualizing results.
:`output`: Directory containing simulation output. It is created automatically when running the simulations.

## Overview

This example demonstrates the use of poroelasticity to model magma flow in a conduit and reservoir in the crust.

:Step 1: Magma influx with displacement and pressure boundary conditions.
:Step 2: Same as Step 1 with evolution of porosity state variable.

:::{figure-md} fig:example:magma:2d:overview
<img src="figs/geometry.*" alt="Diagram of geometry for magma reservoir." scale="100%"/>

Diagram of geometry for magma reservoir.
The domain extends from 0 km to +20 km in the x direction and from -20 km to 0 km in the y direction.
We refer to the domain boundaries using the names shown in the diagram.
:::

## Example Workflow

:::{toctree}
meshing-cubit.md
common-information.md
step01-inflation.md
step02-inflation-statevars.md
exercises.md
:::
