# Cubit Mesh

## Geometry

We construct the geometry for the vertical cross section using 2D primitives available in Cubit.

:::{admonition} TODO
:class: error

Add diagram of Cubit geometry, labeling entities with names used in the Journal files.
:::

## Meshing using Journal Scripts

We use Cubit journal files `mesh_tri.jou`  and `mesh_quad.jou` to generate triangular and quadrilateral meshes, respectively.
Both of these journal files make use of the `geometry.jou` and `createbc.jou` files for creating the geometry and tagging boundary conditions.
We use the Cubit graphical user interface to play the Journal files.

:::{important}
We use IDless journaling in CUBIT.
This allows us to reference objects in a manner that should be independent of the version of CUBIT that is being used.
In the journal files, the original command used is typically commented out, and the following command is the equivalent IDless command.
:::

Once you have run either the `mesh_tri.jou` or `mesh_quad.jou` journal file to construct the geometry and generate the mesh, you will have a corresponding Exodus-II file (`mesh_tri.exo` or `mesh_quad.exo`).
These are NetCDF files, and they can be loaded into ParaView.
This can be done by either running ParaView and loading the file, or using the script provided in the viz directory.
For example, if ParaView is in your path, you can run the
following command:

```{code-block} console
---
caption: Start paraview and run the `viz/plot_mesh.py` Python script to view the mesh with triangular cells.
---
paraview --script=viz/plot_mesh.py
```

:::{figure-md} fig:example:magma:2d:cubit:quad
<img src="figs/cubit-quad.*" alt="Finite-element mesh with quadrilateral cells generated by Cubit." width="75%"/>

Finite-element mesh with quadrilateral cells generated by Cubit.
:::
