(sec-user-examples-troubleshooting-2d)=
# Troubleshooting (2D)

This set of examples demonstrations how to troubleshoot PyLith simulations.
We consider Steps 1 and 6 from `examples/reverse-2d` and introduce errors into the parameter files and spatial databases.
We illustrate how to dissect a variety of error messages, strategies for diagnosing errors, and the resolution.

The files are in the directory `examples/troubleshooting-2d`.
The files and directories for this set of examples includes:

:`README.md`: README file containing a brief description of the various examples.
:`*.cfg`: PyLith parameter files.
:`*.msh`: Gmsh finite-element mesh files generated by Gmsh.
:`*.spatialdb`: Spatial database filesFiles associated with the spatial databases.
:`viz`: Directory containing ParaView Python scripts and other files for visualizing results.
:`output`: Directory containing simulation output. It is created automatically when running the simulations.

## Example Workflow

:::{toctree}
error-messages.md
step01-gravity.md
step01-error01.md
step01-error02.md
step01-error03.md
step01-error04.md
step01-error05.md
step06-twofaults.md
step06-error01.md
step06-error02.md
step06-error03.md
step06-error04.md
step06-error05.md
step06-error06.md
step06-error07.md
step06-error08.md
step06-error09.md
:::
