(sec-getting-help)=
# Getting Help and Reporting Bugs

The CIG forum has a category dedicated to CIG issues associated with PyLith.
You can discuss PyLith, get help with installation, and more at <https://community.geodynamics.org/c/pylith/29>.

CIG uses *GitHub* for source control and bug tracking.
If you find a bug in PyLith, please submit a bug report to the GitHub issue tracking system for PyLith <https://github.com/geodynamics/pylith/issues>.
Of course, it is helpful to first check to see if someone else already submitted a report related to the issue; one of the CIG developers may have posted a work around to the problem.
You can reply to a current issue by clicking on the issue title.
To submit a new issue, click on the *New Issue* button. 

**When submitting a question about running a simulation, be sure to include the info**:

1. Indicate which PyLith version you are using along with whether you are using the binary, container, or building from source.
2. Describe what you are trying to do
    * Overview of the problem and boundary conditions (diagrams are very helpful)
    * 2-D or 3-D
    * Cell type (tri, quad, hex, or tet)
    * Type of fault: prescribed slip or spontaneous rupture
3. Attach the PyLith parameters .json file generated by running `pylith` or `pylith_dumpparameters`.
4. Send the *entire* error message, not just what you think is important (entire log is best).
