#!/usr/bin/env nemesis
# =================================================================================================
# This code is part of PyLith, developed through the Computational Infrastructure
# for Geodynamics (https://github.com/geodynamics/pylith).
#
# Copyright (c) 2010-2023, University of California, Davis and the PyLith Development Team.
# All rights reserved.
#
# See https://mit-license.org/ and LICENSE.md and for license information. 
# =================================================================================================
# @file pylith/__init__.py

# @brief Python top-level PyLith module initialization

__version__ = "2.2.1"

__all__ = ['apps',
           'bc',
           'faults',
           'feassemble',
           'materials',
           'meshio',
           'mpi',
           'problems',
           'topology',
           'utils',
           'tests',
           ]


# End of file
